Bug 1129580 - 0002-Fix-engine-output-and-php-extension.patch introduces new bug
Summary: 0002-Fix-engine-output-and-php-extension.patch introduces new bug
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rats
Version: 22
Hardware: All
OS: All
unspecified
low
Target Milestone: ---
Assignee: Fabio Alessandro Locati
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-13 09:05 UTC by barsnick
Modified: 2016-04-18 03:49 UTC (History)
3 users (show)

Fixed In Version: rats-2.4-5.fc24 rats-2.4-5.fc23 rats-2.4-5.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-12 09:37:02 UTC


Attachments (Terms of Use)
A patch fixing the 0002 patch (637 bytes, text/plain)
2014-08-13 09:05 UTC, barsnick
no flags Details

Description barsnick 2014-08-13 09:05:29 UTC
Created attachment 926328 [details]
A patch fixing the 0002 patch

Description of problem:
The patch 0002-Fix-engine-output-and-php-extension.patch introduces an error in an fprintf() call.

Version-Release number of selected component (if applicable):
2.4-1.fc21

How reproducible:
Always

Steps to Reproduce:
1. rebuild package

Actual results:
engine.c: In function ‘process_directory’:
engine.c:1049: warning: too few arguments for format

Expected results:
No such warning.

Additional info:
Patch attached.

Was this meant as an example for rats to catch? ;-)

Comment 1 Jaroslav Reznik 2015-03-03 16:12:04 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 2 Fedora Admin XMLRPC Client 2016-02-26 17:52:29 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Fedora Admin XMLRPC Client 2016-02-28 07:56:07 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Fedora Update System 2016-04-08 09:38:47 UTC
rats-2.4-5.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-70bafcbd48

Comment 5 Fedora Update System 2016-04-08 09:38:56 UTC
rats-2.4-5.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8885ae32ba

Comment 6 Fedora Update System 2016-04-08 09:39:01 UTC
rats-2.4-5.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0bef638d37

Comment 7 Fedora Update System 2016-04-08 16:51:33 UTC
rats-2.4-5.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0bef638d37

Comment 8 Fedora Update System 2016-04-08 20:50:04 UTC
rats-2.4-5.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8885ae32ba

Comment 9 Fedora Update System 2016-04-08 20:53:59 UTC
rats-2.4-5.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-70bafcbd48

Comment 10 Fedora Update System 2016-04-12 09:36:59 UTC
rats-2.4-5.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-04-18 03:20:19 UTC
rats-2.4-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-04-18 03:49:32 UTC
rats-2.4-5.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.